Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2013-01-28 04:18:37 +0000
committerDavid Williams2013-01-28 04:18:37 +0000
commitd4dd83f157271a7214d60d63dd578818119e935d (patch)
tree196bbaf6bd09115d28eb6c7eeffbb93362e9bf96 /production/gather-parts.sh
parent80857d7dc37a73ab71110bc6832db35a873d412b (diff)
downloadeclipse.platform.releng.aggregator-d4dd83f157271a7214d60d63dd578818119e935d.tar.gz
eclipse.platform.releng.aggregator-d4dd83f157271a7214d60d63dd578818119e935d.tar.xz
eclipse.platform.releng.aggregator-d4dd83f157271a7214d60d63dd578818119e935d.zip
Bug 399180 - [CBI] restructure aggregator and output directories
Diffstat (limited to 'production/gather-parts.sh')
-rw-r--r--production/gather-parts.sh56
1 files changed, 56 insertions, 0 deletions
diff --git a/production/gather-parts.sh b/production/gather-parts.sh
new file mode 100644
index 000000000..cfe21fbbd
--- /dev/null
+++ b/production/gather-parts.sh
@@ -0,0 +1,56 @@
+#!/bin/bash
+#
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+if [ ! -r "$1" ]; then
+ echo "$1" cannot be read
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+pushd $( dirname $0 ) >/dev/null
+SCRIPT_PATH=$(pwd)
+popd >/dev/null
+
+. $SCRIPT_PATH/build-functions.sh
+
+. "$1"
+
+
+cd $BUILD_ROOT
+
+# derived values
+gitCache=$( fn-git-cache "$BUILD_ROOT" "$BRANCH" )
+aggDir=$( fn-git-dir "$gitCache" "$AGGREGATOR_REPO" )
+repositories=$( echo $STREAMS_PATH/repositories.txt )
+
+
+if [ -z "$BUILD_ID" ]; then
+ BUILD_ID=$(fn-build-id "$BUILD_TYPE" )
+fi
+
+buildDirectory=$( fn-build-dir "$BUILD_ROOT" "$BRANCH" "$BUILD_ID" "$STREAM")
+basebuilderDir=$( fn-basebuilder-dir "$BUILD_ROOT" "$BRANCH" "$BASEBUILDER_TAG" )
+
+fn-checkout-basebuilder "$basebuilderDir" "$BASEBUILDER_TAG"
+
+launcherJar=$( fn-basebuilder-launcher "$basebuilderDir" )
+
+
+fn-gather-repo "$BUILD_ID" "$aggDir" "$buildDirectory"
+#fn-gather-static-drop "$BUILD_ID" "$aggDir" "$buildDirectory"
+
+fn-gather-sdk "$BUILD_ID" "$aggDir" "$buildDirectory"
+fn-gather-platform "$BUILD_ID" "$aggDir" "$buildDirectory"
+fn-gather-swt-zips "$BUILD_ID" "$aggDir" "$buildDirectory"
+fn-gather-test-zips "$BUILD_ID" "$aggDir" "$buildDirectory"
+
+fn-slice-repos "$BUILD_ID" "$aggDir" "$buildDirectory" "$launcherJar"
+#fn-gather-repo-zips "$BUILD_ID" "$aggDir" "$buildDirectory"
+
+#fn-gather-compile-logs "$BUILD_ID" "$aggDir" "$buildDirectory"
+#fn-gather-main-index "$BUILD_ID" "$aggDir" "$buildDirectory" "$STREAM" "$BUILD_TYPE" "$BUILD_DATE"

Back to the top